开发者社区> 问答> 正文

java处理异常throw关键字中如何手工抛出异常呢?

已解决

java处理异常throw关键字中如何手工抛出异常呢?

展开
收起
游客gzyuldo4mrg6i 2022-04-03 20:49:22 1125 0
1 条回答
写回答
取消 提交回答
  • 推荐回答

    public class TestDemo {

    public static void main(String args[]) {
    
        throw new Exception("自己定义的异常!");
    
    }
    

    }

    编译错误

    错误:未报告的异常错误Exception,必须对其进行捕获或声明以便抛出throw new Exception("自己定义的异常!");

    修改代码

    public class TestDemo {

    public static void main(String args[]) {
    
        try {
    
            throw new Exception("自己定义的异常!");
    
        } catch(Exception e) {
    
            e.printStackTrace();
    
        }
    
    }
    

    }

    执行结果

    java.lang.Exception:自己定义的异常!

    2022-04-03 20:53:09
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
Spring Cloud Alibaba - 重新定义 Java Cloud-Native 立即下载
The Reactive Cloud Native Arch 立即下载
JAVA开发手册1.5.0 立即下载